import React from "react";

import styles from "./Sections.module.css";

interface SectionsData {
  name: string;
  url: string;
}

interface SectionsProps {
  data: SectionsData[];
}

export default function Sections({ data }: SectionsProps) {
  return (
    <section className={styles.sections}>
      <h1>Sections</h1>
      <div className={styles.separator} />
      <nav className={styles.nav}>
        {data.map((datum, index) => {
          return (
            <div key={`${datum.name}-${index}`} className={styles.navItem}>
              <h4>{String(index).padStart(2, "0")}</h4>
              <a href={datum.url}>{datum.name}</a>
            </div>
          );
        })}
      </nav>
    </section>
  );
}
